using System.ComponentModel.DataAnnotations;

namespace FJPSite.Data.Authorisation;

public class Feature
{
    [Key]
    public int Id { get; set; }

    [Required]
    public required string Name { get; set; }
    public ICollection<FeatureAction> Actions { get; set; } = new List<FeatureAction>();
    public ICollection<ModuleFeature> Modules { get; set; } = new List<ModuleFeature>();
}
